Hi All,
I'm having a little trouble figuring out how to center my text in the middle of the rectangle after its created. Here's what I have so far, it works but it waits for me to place it. Also I do a lot of panels that are the same size so I also want the lisp to remember the last input so I can continue to use it until I hit escape or return.
If I could get some help I would appreciate it.
(defun C:CRP7()
(setq cmdold (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setq PL (getstring "Enter a Panel Label :"))
(setq PA (getpoint "Select Panel Area :"))
(command "-boundary" "Advanced" "Island" "No" "Nearest" "" pa "")
(command "_.change" (entlast) "" "_p" "_la" "Router - Green - V groove" "")
(setq ts(getvar "textsize"))
(setq tsty(getvar "textstyle"))
(if(= 0 (cdr(assoc 40(tblsearch "style" tsty))))
(progn
(command "text" "Justify" "Center" pa ts 0 PL)))
(setvar "cmdecho" cmdold)
(princ)
)
Thanks Brian